Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name:           unique
Version:        1.1.6
Release:        1
BuildArch:	i686
Summary:        Single instance support for applications

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org/~ebassi/source/
Source0:        http://download.gnome.org/sources/libunique/1.1/libunique-%{version}.tar.bz2
BuildRequires:  dbus-glib-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  libtool
BuildRequires:  glib-devel >= 2.12.0
BuildRequires:  gtk2+-devel >= 2.11.0
BuildRequires:  gtk-doc

%description
Unique is a library for writing single instance applications, that is
applications that are run once and every further call to the same binary
either exits immediately or sends a command to the running instance.

%package devel
Summary: 	Libraries and headers for Unique
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	gtk-doc
Requires: 	dbus-glib-devel
Requires: 	gtk2+-devel

%description devel
Headers and libraries for Unique.

%prep
%setup -q -n libunique-%{?version}

%build
%configure --enable-gtk-doc --disable-static --enable-introspection=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/unique/
%{_includedir}/unique-1.0/
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so
%{_libdir}/*.la

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.6-1
- Initial CCux package release
